🔗 REST APIOHLCV

Historical data

Get OHLCV timeseries data returned in time ascending order. Data can be requested by the period and for the specific symbol eg BITSTAMP_SPOT_BTC_USD, if you need to query timeseries by asset pairs eg. BTC/USD, then please reffer to the Exchange Rates Timeseries data

The OHLCV Historical endpoint data can be delayed a few seconds. Use OHLCV real-time data stream to get data without delay.

GET
/v1/ohlcv/{symbol_id}/history
Authorization<token>

API Key is required to access the endpoints

In: header

Path Parameters

symbol_id*string

Symbol identifier of requested timeseries (from the Metadata -> Symbols)

Query Parameters

period_id*string

Identifier of requested timeseries period (e.g. 5SEC or 2MTH)

time_start?string

Timeseries starting time in ISO 8601

time_end?string

Timeseries ending time in ISO 8601

limit?integer

Amount of items to return (mininum is 1, maximum is 100000, default value is 100, if the parameter is used then every 100 output items are counted as one request)

Formatint32
Default100

Response Body

curl -X GET "https://example.com/v1/ohlcv/string/history?period_id=string"
[  {    "time_period_start": "2017-01-01T00:00:00.0000000Z",    "time_period_end": "2017-01-02T00:00:00.0000000Z",    "time_open": "2017-01-01T00:01:08.0000000Z",    "time_close": "2017-01-01T23:59:46.0000000Z",    "price_open": 966.34,    "price_high": 1005,    "price_low": 960.53,    "price_close": 997.75,    "volume_traded": 6850.59330859,    "trades_count": 7815  },  {    "time_period_start": "2017-01-02T00:00:00.0000000Z",    "time_period_end": "2017-01-03T00:00:00.0000000Z",    "time_open": "2017-01-02T00:00:05.0000000Z",    "time_close": "2017-01-02T23:59:37.0000000Z",    "price_open": 997.75,    "price_high": 1032,    "price_low": 990.01,    "price_close": 1012.54,    "volume_traded": 8167.38103018,    "trades_count": 7871  }]